Skip to main content
GET
/
api
/
v1
/
loan-accounts
/
{id}
/
audit-events
List loan account audit events
curl --request GET \
  --url https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/audit-events \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/audit-events"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/audit-events', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "amount": "<string>",
      "eventType": "<string>",
      "lineage": [
        {
          "relation": "<string>",
          "transactionId": "<string>"
        }
      ],
      "occurredAt": "<string>",
      "operatorNote": "<string>",
      "sequence": 123,
      "scheduleVersionId": "<string>",
      "transactionId": "<string>"
    }
  ],
  "operatorSummary": "<string>"
}
{
  "code": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank"
}

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

id
string<uuid>
required

Loan account identifier (UUID).

Example:

"550e8400-e29b-41d4-a716-446655440000"

Query Parameters

limit
integer<int64>
default:50

Maximum audit events to return (1–100, default 50).

Required range: 1 <= x <= 100
Example:

50

Response

OK

data
object[] | null
required

Ordered immutable audit history events.

operatorSummary
string
required

Human-readable operator summary of the audit history.